Get warmup settings
Returns the mailbox's own warmup settings if it has been customized (`hasCustomSettings: true`), otherwise your account-wide defaults merged with `warmupStatus: "IDLE"` and `currentDay: 0`.
Returns the mailbox's own warmup settings if it has been customized (hasCustomSettings: true), otherwise your account-wide defaults merged with warmupStatus: "IDLE" and currentDay: 0.
Authorization
ApiKeyAuth AuthorizationBearer <token>
An API key generated from Settings → API Keys in the MailPilot dashboard, sent as Authorization Bearer <key>.
In: header
Path Parameters
id*integer
Mailbox ID.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/email-accounts/0/warmup"{ "data": { "warmupStatus": "IDLE", "currentDay": 0, "strategy": "PROGRESSIVE", "dailySendingLimit": 0, "initialSendingLimit": 0, "increaseByNumber": 0, "maxSendingLimit": 0, "replyRate": 0, "sendDays": "string", "sendWindowStart": 0, "sendWindowEnd": 0, "pauseOnBounces": true, "bounceThreshold": 0, "sendSchedule": "string", "sendingMode": "string", "randomMinVolume": 0, "randomMaxVolume": 0, "useOwnTemplates": true, "hiddenWarmup": true, "alertEmail": "string", "alertThreshold": 0, "alertSlackWebhook": "string", "espGoogleWeight": 0, "espMicrosoftWeight": 0, "espOtherWeight": 0, "hasCustomSettings": true }}